Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protegex.owl.model.factory
Enum OWLFactoryClassType

    java.lang.Object
      java.lang.Enum<OWLFactoryClassType>
          edu.stanford.smi.protegex.owl.model.factory.OWLFactoryClassType

All Implemented Interfaces:
  Serializable, Comparable<OWLFactoryClassType>

    public enum OWLFactoryClassType

extends Enum<OWLFactoryClassType>

Enum Constant Summary
`ALL_DIFFERENT`
`ALL_VALUES_FROM_RESTRICTION`
`CARDINALITY_RESTRICTION`
`COMPLEMENT_CLASS`
`DATA_RANGE`
`DATATYPE`
`DATATYPE_PROPERTY`
`ENUMERATED_CLASS`
`EXTERNAL_RESOURCE`
`HAS_VALUE_RESTRICTION`
`INTERSECTION_CLASS`
`MAX_CARDINALITY_RESTRICTION`
`MIN_CARDINALITY_RESTRICTION`
`OBJECT_PROPERTY`
`ONTOLOGY`
`OWL_NAMED_CLASS`
`PROPERTY`
`RDF_LIST`
`RDFS_NAMED_CLASS`
`SOME_VALUES_FROM_RESTRICTION`
`UNION_CLASS`

Method Summary
`Class<? extends RDFResource>` | `getImplementingClass()`
`String` | `getTypeName()`
`boolean` | `isFakeProtege3Type()`
`static OWLFactoryClassType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OWLFactoryClassType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OWL_NAMED_CLASS

    public static final OWLFactoryClassType OWL_NAMED_CLASS

### PROPERTY

    public static final OWLFactoryClassType PROPERTY

### RDFS_NAMED_CLASS

    public static final OWLFactoryClassType RDFS_NAMED_CLASS

### ENUMERATED_CLASS

    public static final OWLFactoryClassType ENUMERATED_CLASS

### ALL_VALUES_FROM_RESTRICTION

    public static final OWLFactoryClassType ALL_VALUES_FROM_RESTRICTION

### SOME_VALUES_FROM_RESTRICTION

    public static final OWLFactoryClassType SOME_VALUES_FROM_RESTRICTION

### HAS_VALUE_RESTRICTION

    public static final OWLFactoryClassType HAS_VALUE_RESTRICTION

### MAX_CARDINALITY_RESTRICTION

    public static final OWLFactoryClassType MAX_CARDINALITY_RESTRICTION

### MIN_CARDINALITY_RESTRICTION

    public static final OWLFactoryClassType MIN_CARDINALITY_RESTRICTION

### CARDINALITY_RESTRICTION

    public static final OWLFactoryClassType CARDINALITY_RESTRICTION

### COMPLEMENT_CLASS

    public static final OWLFactoryClassType COMPLEMENT_CLASS

### INTERSECTION_CLASS

    public static final OWLFactoryClassType INTERSECTION_CLASS

### UNION_CLASS

    public static final OWLFactoryClassType UNION_CLASS

### ALL_DIFFERENT

    public static final OWLFactoryClassType ALL_DIFFERENT

### EXTERNAL_RESOURCE

    public static final OWLFactoryClassType EXTERNAL_RESOURCE

### DATATYPE

    public static final OWLFactoryClassType DATATYPE

### DATA_RANGE

    public static final OWLFactoryClassType DATA_RANGE

### RDF_LIST

    public static final OWLFactoryClassType RDF_LIST

### ONTOLOGY

    public static final OWLFactoryClassType ONTOLOGY

### DATATYPE_PROPERTY

    public static final OWLFactoryClassType DATATYPE_PROPERTY

### OBJECT_PROPERTY

    public static final OWLFactoryClassType OBJECT_PROPERTY

Method Detail

### values

    public static final OWLFactoryClassType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OWLFactoryClassType c : OWLFactoryClassType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OWLFactoryClassType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getTypeName

    public String getTypeName()

### getImplementingClass

    public Class<? extends RDFResource> getImplementingClass()

### isFakeProtege3Type

    public boolean isFakeProtege3Type()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.